<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- eug-15 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
    <tr>
	<td width="10" valign="top"><div style="width:10px; height:10px;"><span></span></div></td>
	   <td width="220" valign="middle">
	   <!-- LOGO -->
<br/>
	      <table  height="70" width="220" border="0" align="center" cellpadding="0" cellspacing="0">
		     <tr>
				<td align="center" valign="top" style="width: 50px;">
				<a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
				<td align="left" valign="bottom" class="company"> 
				   <xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
				</td>
			 </tr>
			 <tr>
			   <td >
		       </td>
			   <td valign="top"  class="slogan">
			       <xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
			   </td>
			 </tr>
         </table>
<br/>
		<!-- END LOGO -->     
	  </td>
	   <td width="100%" align="left" valign="middle">
	     <table cellpadding="0" cellspacing="0" border="0" width="100%"  bgcolor="#666666">
			 <tr>
				<td height="70">
						    <table  width="100%" height="70">
							 <tr><td width="20" align="center"><img src="images/submenu_bullet02.gif" width="7" height="40" />
							   </td>
							   <td width="100%">
						 <!-- MENU --> 
							   <table  border="0" cellspacing="0" cellpadding="0">
                                 <tr>
                                    <xsl:call-template name="TOP-MENU"/>
                                 </tr>
                               </table>
				         <!-- END MENU -->
							   </td>
							 </tr>
							</table>
			   </td>
			 </tr>
	     </table>	  
	  </td>
	  <td width="10" valign="top"><div style="width:10px; height:10px;"><span></span></div></td>
	</tr>
	<tr>
	   <td></td>
	   <td valign="top" align="right"><img src="images/header_left.jpg" /></td>
	   <td valign="top" background="images/bg.gif">
          <table width="100%" border="0" cellpadding="0" cellspacing="0">
		     <tr>
			    <td valign="top"><img src="images/header_right.jpg" /></td>
			 </tr>
			 <tr>
			    <td>
				   <table border="0" cellpadding="0" cellspacing="0">
				      <tr>
					     <td valign="top" align="right"><img src="images/header_middle.jpg" /></td>
						 <td>
					        <table border="0">
							  <tr>
								<td valign="bottom" scope="col" style="padding-left: 30px;" class="text_head">
								  <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
								</td>
								<td valign="bottom" scope="col"><img src="images/txtheader_bullet.gif" /></td>
							  </tr>
							</table>
						 </td>
					  </tr>
				   </table>
				</td>
			 </tr>
	     </table>
      </td>
	   <td></td>
	</tr>
	<tr style="padding-bottom:10px;">
     <td></td>
	 <td valign="top">
	   <div style="height: 50px;"><span></span></div>
	   <!-- SUBMENU -->
		<table cellpadding="0" cellspacing="0" width="160" align="center">
            <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
		</table> 
<!-- END SUBMENU -->
	 </td>
	 
	 <td width="100%" height="100%" valign="top" class="pageContent">
	 <!-- CONTENT -->
          <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
		     <tr>
			 <td style="width: 10px; height: 100%;background-color: #CCCCCC;"><img src="images/spacer.gif" width="10" height="8" /></td>
			    <td width="100%" height="100%" valign="top" style="padding-left: 30px; padding-bottom:30px; padding-right:30px;">
			    <table width="100%" height="100%"><tr><td name="SB_stretch" valign="top" class="pageContent" width="100%" height="100%"><xsl:apply-templates select="PAGE-CONTENT"/>
                </td></tr></table>	
             <!-- END CONTENT -->
		</td>
			 </tr>
			 <tr>
			    <td style="width:10px; height:9px; background-color:#CCCCCC"><img src="images/spacer.gif" width="1" height="1" /></td>
				<td style="width:524px; height:9px; background-color:#CCCCCC"><img src="images/spacer.gif" width="1" height="1" /></td>
				
			 </tr>
	   </table>
	 </td>
	 <td></td>
  </tr>
  <tr>
	   <td></td>
	   <td height="85" align="center" class="footer" style="padding-top:15px; background-image:url(images/footer_bg.gif);">
	   <!-- FOOTER -->
	   <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
	   <!-- END FOOTER -->
	   </td>
	  <td style="padding-top:15px;padding-bottom:5px;background-image:url(images/footer_bg.gif)">
         <table width="100%" border="0" cellpadding="0" cellspacing="0">
			<tr>
			  <td  align="center"><img src="images/spacer.gif" width="8" height="8" /></td> 
			</tr>
	    </table>	  
	  </td>
	   <td ></td>
  </tr>
</table>

	</BODY>
	</HTML>
</xsl:template>

<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			  <tr>
			<td width="21" align="right">
			  <img src="images/submenu_bullet_bg.gif"/> 
			</td>
            <td style="width: 132;padding-left: 15px;font-weight:bold"  class="submenu">
			   <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
			   </td>
            <td align="right" style="padding-left: 5px"><img src="images/submenu_bullet02.gif" alt="" width="7" height="12" border="0"/></td>
          </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
		 <tr>
			<td width="21" align="right"><img src="images/submenu_bullet01.gif"/></td>
            <td style="width: 132;padding-left: 15px;"><a href="{@HREF}"  class="submenu"> 
			  <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            <td align="right" style="padding-left: 5px"><img src="images/submenu_bullet02.gif" alt="" width="7" height="12" border="0"/></td>
          </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr>
          <td colspan="3" height="20"><div class="menu-hr" style="height:1px;"><span></span></div></td>
       </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
		      <td align="center"  style="padding-top:15px;"><a href="{@HREF}" class="bmenu" id="abmenu">
			  <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
			  </td>
		    
        </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			     <td align="center"  style="padding-top:15px;"><a href="{@HREF}" class="bmenu" id="bmenu{position()}">
			  <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
			  </td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td><span></span></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
