<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- eug-17 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
			<style>
				img { behavior:url('images/pngbehavior.htc'); }
			</style>
		</head>
        <body bgcolor="#ffffff" text="#5c5c5c" link="#336699" alink="#336699" vlink="#336699" marginwidth="0" marginheight="0" leftmargin="0" topmargin="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
        	<table border="0" cellspacing="0" cellpadding="0" width="780" height="100%" style="background-color: #ffffff; background-image:url('images/bg.gif'); background-position:  top left; background-repeat: repeat-x;">
        	<tr><td>

        <table border="0" cellspacing="0" cellpadding="0" width="780" height="100%" style="background-image:url('images/topbg.jpg'); background-position: top left; background-repeat: no-repeat;">
        <tr valign="top">
         <td width="193"><img src="images/shapes.png" border="0" width="120" height="82" alt="" /></td>
         <td width="587">
          <table border="0" cellspacing="0" cellpadding="0" width="587" height="82">
          <tr height="100%">
           <td align="center">

   			<!-- CALL MAIN-MENU-->
   			<xsl:call-template name="TOP-MENU"/>


           </td>
          </tr>
          <tr><td style="padding-left:1px;"><img src="images/line.png" border="0" width="586" height="8" alt="" /></td></tr>
          </table>
         </td>
        </tr>
        <tr valign="top">
         <td valign="middle" align="center">

          <table border="0" cellspacing="0" cellpadding="0"><tr>
          <td style="padding-right:10px; padding-left:3px;"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0" /></a></td>
          <td>
	        <span style="color:#ffffff; font-family:Times; font-size:12pt; font-weight: bold;"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></span><br />
    	    <span style="color:#ffffff; font-family:Tahoma; font-size:8pt; padding-left:3px;"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></span><br />
          </td>
          </tr></table>

         </td>
         <td>
          <table border="0" cellspacing="0" cellpadding="0" width="587">
          <tr>
           <td><img src="images/line2.png" border="0" width="8" height="151" alt="" /></td>
           <td><img src="images/top1.jpg" border="0" width="579" height="151" alt=""/></td>
          </tr>
          <tr>
           <td colspan="2" style="padding-left:1px;"><img src="images/top2.png" width="586" height="8" border="0" alt=""/></td>
          </tr>
          </table>
         </td>
        </tr>
        <tr height="100%" valign="top">
         <td style="padding:20px 5px 20px 25px;">

   				<!-- CALL SUB-MENU-->
   				<xsl:call-template name="SUB-MENU">
   					<xsl:with-param name="pageID" select="@ID"/>
   				</xsl:call-template>


         </td>
         <td>
          <table border="0" cellspacing="0" cellpadding="0" width="587">
          <tr>
		  	<td align="right"><img src="images/top3.png" width="67" height="54" border="0" alt=""/></td>
		  </tr>
          <tr>
           <td class="pageContent" style="padding:10px 50px 40px 40px;">

              <span style="font-size:14pt;"><img src="images/titlemark.png" border="0" width="31" height="31" alt="" align="absmiddle" style="margin-right:10px;" /><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span>

              <div style="padding-left:5px;">
	            <table cellpading="0" cellspacing="0" border="0">
              	<tr><td width="492" class="pageContent">

      				<xsl:apply-templates select="PAGE-CONTENT"/>

	   			</td></tr>
				</table>

              </div>

           </td>
          </tr>
          </table>
         </td>
        </tr>
        <tr>
         <td>
          <table border="0" cellspacing="0" cellpadding="0" width="100%"><tr>
          <td><img src="images/bottomleft.gif" border="0" width="25" height="77" alt="" /></td>
          <td width="100%" style="background-color: #9ccf32; background-image:url('images/bottombg.gif'); background-position:  top left; background-repeat: repeat-x; padding:3px; color:#ffffff; padding-top:20px; font-size:8pt; font-family:Tahoma,Arial;" align="center">
			<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/><br />
          </td>
          <td><img src="images/bottomcenter.gif" border="0" width="15" height="77" alt="" /></td>
          </tr></table>
         </td>
         <td>
          <table border="0" cellspacing="0" cellpadding="0" width="100%"><tr>
          <td width="100%" bgcolor="#ff4e00" style="color:#ffffff; font-size:8pt; padding:10px; font-family:Tahoma,Arial;" align="center">

    			<!--CALL BOTTOM-MENU -->
    			<xsl:call-template name="BOTTOM-MENU"/>

          </td>
          <td><img src="images/bottomright.gif" border="0" width="10" height="77" alt="" /></td>
          </tr></table>
         </td>
        </tr>
        </table>

        	</td></tr>
        	</table>
</td></tr></table>
        </body>
		</html>

	</xsl:template>



	<!-- MAIN-MENU -->
	<xsl:template name="TOP-MENU">
        <table border="0" cellspacing="0" cellpadding="0"><tr>
			<xsl:apply-templates select="MENU" mode="top"/>			
		</tr></table>	
	</xsl:template>



	<!-- SUB-MENU --> 
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
		        <table border="0" cellspacing="0" cellpadding="0" width="100%">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
		        <table border="0" cellspacing="0" cellpadding="0" width="100%">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
			<xsl:otherwise>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<!--BOTTOM-MENU-->

	<xsl:template name="BOTTOM-MENU">
		<xsl:apply-templates select="MENU" mode="bottom"/>			
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
			<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>

	<xsl:template match="MENU-ITEM"  mode="bottom">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			        <a class="bottommenuitemactive" href="{@HREF}" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
                </xsl:when>
                <!-- when active-->
                
                <xsl:otherwise>
			        <a class="bottommenuitem" href="{@HREF}" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
                </xsl:otherwise>
            </xsl:choose>
			<xsl:if test="position()!=last()"> |
			</xsl:if>
	</xsl:template>

	
	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
