<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- eug-22 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0"  >
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" class="main-bg" style="background-image:url(images/eug-22_34.gif)" >
  <tr>
    <td valign="top">
		<table width="100%"  border="0" cellspacing="0" cellpadding="0">
		<tr>
		<td width="553"><img src="images/header.jpg" width="553" height="214"/></td>
		<td align="right" background="images/eug-22_02.gif" >
			<div style="width:227px;height:1px"></div>
			<table width="200" cellpadding="0" cellspacing="0">
			<tr>
			<td align="center" ><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
			</tr>
			<tr>
			<td align="center"  class="logoword" ><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
			</tr>
			<tr>
			<td align="center"  class="logo" ><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
			</tr>
			</table>
		</td>
		</tr>
		</table>	
	</td>
  </tr>
  <tr>
    <td valign="top">
		<table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td background="images/eug-22_09.gif" style="padding-left:40px" >
			<table  border="0" cellpadding="0" cellspacing="0">
              <tr>
				<xsl:call-template name="TOP-MENU"/>
              </tr>
            </table></td>
            <td width="234" height="104"><img src="images/eug-22_11.gif" width="234" height="104"/></td>
          </tr>
        </table>
	</td>
  </tr>
  <tr>
    <td height="100%" valign="top">
		<table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td valign="top" class="pageContent" style="padding:60px 0px 60px 40px">
					<!-- CONTENT -->
                    <table cellpadding="0" cellspacing="0" border="0">
                      <tr>
                        
                        <td class="text-header" style="padding:0 10px 0 0;"><img src="images/eug-22_28.gif" width="10" height="18"/></td>
                     <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td> 
					 </tr>
                    </table>
                    <div style="height:15px;width:329px;"><span></span></div>
					<table border="0" cellspacing="0" cellpadding="0" width="100%">
					<tr>
					<td class="pageContent" name="SB_stretch" width="100%" valign="top">
					<xsl:apply-templates select="PAGE-CONTENT"/>
					</td>
					</tr>
					</table>

                      <!-- END CONTENT --></td>
              </tr>
            </table></td>
            <td width="321" height="321" align="right" valign="top" background="images/mbg.jpg" style="background-position:bottom;background-repeat:no-repeat">
				<table  border="0" cellspacing="0" cellpadding="0">
				<tr>
				<td width="220" height="200" valign="top" bgcolor="#FFFFFF">
					<table width="180" border="0" cellspacing="0" cellpadding="0" align="center">
					<xsl:call-template name="SUB-MENU"> <xsl:with-param name="pageID" select="@ID"/> </xsl:call-template>
					</table>
				</td>
				<td background="images/eug-22_21.gif" width="14"></td>
				</tr>
				<tr>
				<td align="right" style="padding:0px;"><img src="images/eug-22_31.gif" width="220" height="46"/></td>
				</tr>
				</table>

			</td>
          </tr>
      </table>	
	</td>
  </tr>
  <tr>
        <td height="68" bgcolor="#FFFFFF">
			<table border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td style="padding-left:20px;padding-right:10px;"><img src="images/eug-22_39.gif" width="3" height="10"/></td>
                  <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
                </tr>
            </table>
		</td>
  </tr>
</table>
</BODY>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >

<tr>
<td class="submenua" style="padding:8px 5px" width="165"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
<td class="iconleft" style="padding:8px 5px" width="15"><img src="images/eug-22_23.gif" width="3" height="10"/></td>
</tr>

		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">

<tr>
<td class="submenu" style="padding:8px 5px" width="165"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
<td class="iconleft" style="padding:8px 5px" width="15"><img src="images/eug-22_23.gif" width="3" height="10"/></td>
</tr>

		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

<tr>
<td height="1" bgcolor="#F3F3F3" ></td>
<td height="1" bgcolor="#F3F3F3" ></td>
</tr>

	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
	   </xsl:when>

           <!-- when active-->
           
           <xsl:otherwise>
	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
