<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- eug-25 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
        <!-- HEADER -->	
        <TABLE WIDTH="780" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" bgcolor="White"><TR><TD class="header-bg" style="background-image: url('images/header_bg.jpg'); background-position: top right; background-repeat: repeat-x;">
        <TABLE WIDTH="780" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0"><TR><TD style="background-image: url('images/header.jpg'); background-position: top right; background-repeat: no-repeat;">
        <!-- END HEADER -->	
        <TABLE WIDTH="780" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0">
        	<TR>
        		<TD colspan="2" width="780" height="66">
        		<!-- MENU -->

        			<!-- CALL MAIN-MENU-->
        			<xsl:call-template name="TOP-MENU"/>

        		<!-- END MENU -->
        		</TD>
        	</TR>
        	<TR>
        		<TD valign="top" width="350" height="100%">
        			<table cellpadding="0" cellspacing="0" height="347" width="350">
        		<!-- TOP -->	
        				<tr>
        					<td height="135" valign="top">
        						<table cellpadding="0" cellspacing="0" width="10" style="margin: 60px 140px 0px 20px;">
        							<tr>
        								<td rowspan="2" valign="top"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
        								<td class="company"><nobr><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></nobr></td>
        							</tr>
        							<tr>
        								<td class="slogan"><nobr><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></nobr></td>
        							</tr>
        						</table>
        					</td>
        				</tr>				
        		<!-- END TOP -->
        		<!-- SUBMENU -->
        				<tr>
        					<td height="212" valign="middle">

                    			<!-- CALL SUB-MENU-->
                    			<xsl:call-template name="SUB-MENU">
                    				<xsl:with-param name="pageID" select="@ID"/>
                    			</xsl:call-template>

        					</td>
        				</tr>
        			</table>
        		<!-- END SUBMENU -->
        		</TD>	
        		<TD valign="top" width="430" height="100%">
        		<!-- CONTENT -->
        			<table cellpadding="0" cellspacing="0" width="340" style="margin: 290px 45px 45px 45px">
        				<tr>
        					<td class="text-header" style="padding-bottom: 15px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
        				</tr>
        				<tr>
        					<td class="text">
			
								<xsl:apply-templates select="PAGE-CONTENT"/>

        					</td>
        				</tr>
        			</table>
        		<!-- END CONTENT -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" valign="top" width="100%" height="67" bgcolor="#FFCC00" style="padding: 30px 35px 0px 35px;">
        		<!-- FOOTER -->
        			<div class="footer" style="float: left"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
        		<!-- END FOOTER -->
        		</TD>
        	</TR>
        </TABLE>
        </TD></TR></TABLE>
        </TD></TR></TABLE>
		</td></tr></table>	
        </BODY>
		</html>

	</xsl:template>


	<!--TOP-->

	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" cellspacing="0" style="margin-left: 30px;">
   			<tr>
				<xsl:apply-templates select="MENU" mode="top"/>			
   			</tr>
   		</table>
	</xsl:template>
  

	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
   				<table cellpadding="0" cellspacing="0" style="margin: 0px 120px 0px 40px;">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
   				<table cellpadding="0" cellspacing="0" style="margin: 0px 120px 0px 40px;">
				   <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>



	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
