<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- eug-31 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
			<style>
				img { behavior:url('images/pngbehavior.htc'); }
			</style>
		</head>
        <body bgcolor="#ffffff" text="#ffffff" link="#ffffff" alink="#ffffff" vlink="#ffffff" marginwidth="0" marginheight="0" leftmargin="0" topmargin="0">
<table border="0" cellspacing="0" cellpadding="0" width="100%" height="100%" bgcolor="White">
	<tr>
		<td height="74" bgcolor="#975620" background="images/menubg.gif" style="background-color:  #975620; background-image:url('images/menubg.gif'); background-position:  top left; background-repeat: repeat-x;">
			<table border="0" cellspacing="0" cellpadding="0" width="100%">
				<tr>
					<td style="padding-left:20px;">
						<table cellpadding="0" cellspacing="0" border="0">
							<tr>
			          			<!--CALL TOP-MENU -->
			  					<xsl:call-template name="TOP-MENU"/>
							</tr>
						</table>
					</td>
					<td align="right" style="padding:0px 40px 0px 20px;">
						<table border="0" cellspacing="0" cellpadding="0">
							<tr valign="top">
								<td style="padding-right:10px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
								<td>
									<span style="font-family:Times; font-size:16pt; color:#FEAB02;"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></span><br />
									<span style="font-size:8pt; color:#ffffff; font-family:Tahoma,Arial;"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></span>
								</td>
							</tr>
						</table>
	          		</td>
          		</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td bgcolor="#d78e0b" style="background-image: url('images/header_bg.gif'); background-repeat: repeat-x;">
			<table border="0" cellspacing="0" cellpadding="0" width="100%" height="224">
				<tr>
					<td><img src="images/header.jpg" border="0" width="481" height="224" alt=""/></td>
					<td width="100%" style="background-image: url('images/right.jpg'); background-repeat: no-repeat;">
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-image: url('images/leaf.gif'); background-position: bottom right; background-repeat: no-repeat;"><tr><td></td></tr></table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td height="100%" valign="top" class="sch_bg">
			<table border="0" cellspacing="0" cellpadding="0" width="100%">
				<tr valign="top">
					<td width="100%" style="padding:15px 35px 80px 100px;">
						<table border="0" cellspacing="0" cellpadding="0" width="100%">
							<tr>
								<td>
									<div style="text-align:right; font-size:19pt; font-family: Arial Narrow,Arial,sans-serif; color:#ffffff;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
									<table cellpadding="0" cellspacing="0" border="0" width="100%">
										<tr><td class="pageContent"><xsl:apply-templates select="PAGE-CONTENT"/></td></tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
					<td width="291" align="left" style="background-image:url('images/herb.jpg'); background-position: top right; background-repeat: no-repeat; padding:15px 0px 40px 0px;">
	        		<!-- SUBMENU -->
	       				<!-- CALL SUB-MENU-->
	       				<xsl:call-template name="SUB-MENU">
	       					<xsl:with-param name="pageID" select="@ID"/>
	       				</xsl:call-template>
	        		<!-- END SUBMENU -->	
          				<div style="width:291px; height:1px;"><spacer type="block" width="291" height="1" /></div>
          			</td>
          		</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td height="79" bgcolor="#d68e0a" style="padding-right:40px; font-family:Tahoma,Arial; font-size:8pt;" align="right">
			<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
		</td>
	</tr>
</table>
        </body>
		</html>

	</xsl:template>

   				
	<!--TOP-MENU-->
   				
   				
	<xsl:template name="TOP-MENU">
        <xsl:apply-templates select="MENU" mode="top"/>
	</xsl:template>
  

	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
		        <table border="0" cellspacing="0" cellpadding="0" width="174">
    		        <tr><td colspan="2"><img src="images/2ndmenublock.gif" border="0" width="174" height="6" alt=""/></td></tr>
	    			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
    			</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
		        <table border="0" cellspacing="0" cellpadding="0" width="174">
    		        <tr><td colspan="2"><img src="images/2ndmenublock.gif" border="0" width="174" height="6" alt=""/></td></tr>
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
    			</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>



	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
               <tr>
                <td class="secondmenuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                <td class="secondmenumarkactive">
					<xsl:variable name="curpos" select="position()"/>
					<xsl:variable name="hidden" select="count(../MENU-ITEM[@HIDDEN='1' and position()&lt;$curpos])"/>
					<xsl:variable name="pos" select="$curpos - $hidden"/>
	                <xsl:if test="$pos &lt; 10">0</xsl:if>
	                <xsl:value-of select="$pos"/>
				</td>
               </tr>
               <tr><td colspan="2"><img src="images/2ndmenublock.gif" border="0" width="174" height="6" alt=""/></td></tr>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
                    <tr>
                     <td class="secondmenuitem"><a href="{@HREF}" class="secondmenuitem"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                     <td class="secondmenumark">
						<xsl:variable name="curpos" select="position()"/>
						<xsl:variable name="hidden" select="count(../MENU-ITEM[@HIDDEN='1' and position()&lt;$curpos])"/>
						<xsl:variable name="pos" select="$curpos - $hidden"/>
		                <xsl:if test="$pos &lt; 10">0</xsl:if>
		                <xsl:value-of select="$pos"/>
					 </td>
                    </tr>
                    <tr><td colspan="2"><img src="images/2ndmenublock.gif" border="0" width="174" height="6" alt=""/></td></tr>
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
	</xsl:template>

   				
	<xsl:template name="BOTTOM-MENU">
   		<table cellpadding="0" cellspacing="0" align="center">
   			<tr>		
   				<td width="10"></td>			
				<xsl:apply-templates select="MENU" mode="bottom"/>			
   				<td width="195"></td>
   			</tr>
   		</table>
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
   				<td><a href="{@HREF}"><img src="images/bmenu_bullet.gif" border="0"/></a></td>
   				<td width="3"></td>
   				<td><a href="{@HREF}" class="asubmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
   				<td width="10"></td>
            </xsl:when>
            <!-- when active-->
            
            <xsl:otherwise>
   				<td><a href="{@HREF}"><img src="images/bmenu_bullet.gif" border="0"/></a></td>
   				<td width="3"></td>
   				<td><a href="{@HREF}" class="submenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
   				<td width="10"></td>
            </xsl:otherwise>
        </xsl:choose>
	</xsl:template>


	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
