<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- eug-34 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
			<style>
				img { behavior:url('images/pngbehavior.htc'); }
			</style>
		</head>
        <body MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
        <table cellpadding="0" cellspacing="0" border="0" width="780" height="100%" style="background-image: url('images/header.jpg'); background-repeat: no-repeat; background-position: top right;">
        <tr>
        	<td>
        	<div class="logo"><a href="./"><img src="images/{LOGO/@NAME}" alt="" hspace="4" align="absmiddle" border="0" /></a><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div>
        	<div class="pageContent" style="width:100px; text-align:center; font-size:8pt; color:#929292; margin:0px 0px 20px 75px;"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div>
        	</td>
        	<td align="right" valign="top" height="127">
    	        <img src="images/wave_top.png" width="511" height="127" alt="" style="margin-bottom:-120px;"/>
            	<!-- CALL TOP-MENU -->
				<xsl:call-template name="TOP-MENU"/>
        	</td>
        </tr>
        <tr>
        	<td valign="bottom" colspan="2"><img src="images/wave.png" width="780" height="224" alt="" /></td>
        </tr>
        <tr>
        	<td colspan="2">
				<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
					<tr>
						<td style="background-image: url('images/color.png');">
			        		<br />
			        	 	<table cellpadding="0" cellspacing="0" border="0" width="100%" class="central">
			        		<tr>
			        			<td width="50%" class="left pageContent">
						        <div style="text-align: right;"><h1><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></h1></div>
			        			<xsl:apply-templates select="PAGE-CONTENT"/>
			        			</td>
			        			<td class="right" valign="top">
			        				<!-- CALL SUB-MENU -->
			        				<xsl:call-template name="SUB-MENU">
			        					<xsl:with-param name="pageID" select="@ID"/>
			        				</xsl:call-template>
			        			</td>
			        		</tr>
			        		</table>
						</td>
					</tr>
				</table>
        	</td>
        </tr>
        <tr height="100%">
        	<td colspan="2">
				<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/color.png');">
					<tr>
						<td align="right" valign="bottom">
			        		<table cellpadding="0" cellspacing="0" border="0" width="353" height="107" class="menu">
			        		<tr>
			        			<td align="center" style="background-image:url(images/wave_bottom.png); background-repeat: no-repeat; background-position: bottom right; padding-top:40px;">
				        			<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
			        			</td>
			        			</tr>
			        		</table>
						</td>
					</tr>
				</table>
        	</td>
        </tr>
        </table>
		</td></tr></table>
        </body>
		</html>

	</xsl:template>

   				
	<!--TOP-MENU-->
   				
	<xsl:template name="TOP-MENU">
        <table cellpadding="0" cellspacing="0" border="0" width="490" height="80" class="menu">
    	    <tr>
        	<td align="center">
				<table cellpadding="0" cellspacing="0" align="center" summary="">
					<tr>
						<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
						<xsl:apply-templates select="MENU" mode="top"/>
					</tr>
				</table>
        	</td>
	        </tr>
        </table>
	</xsl:template>
  

	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
  				<table cellpadding="0" cellspacing="0" border="0" class="menu2">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
  				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
  				<table cellpadding="0" cellspacing="0" border="0" class="menu2">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
  				</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

   				
   				
	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
