<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- vap-02 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
        <TABLE WIDTH="780" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" bgcolor="White" style="background-image: url('images/header.jpg'); background-repeat: no-repeat;">
        	<TR>
        		<TD colspan="2" width="780" height="169" valign="top">
        		<!-- LOGO -->
        			<table cellpadding="0" cellspacing="0" style="margin: 67px 5px 5px 225px;">
        				<tr>
        					<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
        					<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
        				</tr>
        				<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
        			</table>
        		<!-- END LOGO -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="780" height="39">
        		<!-- MENU -->
	        		<!-- CALL TOP-MENU -->
    	    		<xsl:call-template name="TOP-MENU"/>
        		<!-- END MENU -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="780" height="54" class="text-header">
        		<!-- TEXT HEADER -->
        			<span style="width:220px; height:1px;"><spacer type="block" width="220" height="1"/></span>
        			<img src="images/txtheader_bullet.gif" align="absmiddle" style="margin: 2px 5px 0px 0px;"/>
        			<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        		<!-- END TEXT HEADER -->
        		</TD>
        	</TR>
        	<TR>
        		<TD valign="top" width="200" height="100%" class="submenu-bg" style="background-image: url('images/submenu_bg.gif'); background-repeat: repeat-y;">
        		<!-- SUBMENU -->
        			<table cellpadding="0" cellspacing="0" width="199" height="92" style="background-image: url('images/submenu_mbg.gif'); background-repeat: repeat-y;">
        				<tr>
        					<td style="background-image: url('images/submenu_tbg.jpg'); background-repeat: no-repeat; padding-bottom: 20px;">
        						<div style="width:1px; height:50px;"><spacer type="block" width="1" height="50"/></div>
	        					<!-- CALL SUB-MENU -->
    	    					<xsl:call-template name="SUB-MENU">
        							<xsl:with-param name="pageID" select="@ID"/>
        						</xsl:call-template>
        					</td>
        				</tr>
        			</table>
        		<!-- END SUBMENU -->
        		</TD>
        		<TD valign="top" width="580" height="100%" class="bg" style="background-image: url('images/bg.gif'); background-repeat: repeat-y;">
        		<!-- CONTENT -->
        			<table cellpadding="0" cellspacing="0" width="525" align="center">
        				<tr><td height="15"></td></tr>
        				<tr>
        					<td class="text" width="525">
        						<xsl:apply-templates select="PAGE-CONTENT"/>
        					</td>
        				</tr>
        				<tr><td height="20"></td></tr>
        			</table>
        		<!-- END CONTENT -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="780" height="89" style="background-image: url('images/footer_bg.gif'); background-repeat: repeat-x;" align="center">
        		<!-- BOTTOM MENU -->
        		<!-- CALL BOTTOM-MENU -->
        		<xsl:call-template name="BOTTOM-MENU"/>
        		<!-- END BOOTTOM MENU -->
        		<!-- FOOTER -->
                <span class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></span>
        		<!-- END FOOTER -->
        		</TD>
        	</TR>
        </TABLE>
		</td></tr></table>
        </BODY>
		</html>

	</xsl:template>


	<!--TOP-MENU-->
   				
	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" cellspacing="0">
   			<tr>
   				<td width="215"></td>					
				<xsl:apply-templates select="MENU" mode="top"/>
   			</tr>
   		</table>
	</xsl:template>


	<!--SUB-MENU-->  
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
   				<table cellpadding="0" cellspacing="0" width="175" align="center">
						<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
   				<table cellpadding="0" cellspacing="0" width="175" align="center">
					   <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
				</table>
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
			&#160;
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>




	<!--BOTTOM-MENU-->

	<xsl:template name="BOTTOM-MENU">
  		<table cellpadding="0" cellspacing="0" align="center" style="margin-bottom: 7px;">
  			<tr>
				<xsl:apply-templates select="MENU" mode="bottom"/>			
  			</tr>
  		</table>
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>


	<xsl:template match="MENU-ITEM"  mode="bottom">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
					<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                </xsl:when>
                <!-- when active-->
                
                <xsl:otherwise>
	  				<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                </xsl:otherwise>
            </xsl:choose>
   			<xsl:if test="position()!=last()">
  				<td width="5"></td>
  				<td><img src="images/bmenu_separator.gif" style="margin: 0px 5px 0px 5px;"/></td>
  				<td width="5"></td>
   			</xsl:if>
	</xsl:template>





	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
