<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- vap-04 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY BOTTOMMARGIN="0" LEFTMARGIN="0" TOPMARGIN="0" RIGHTMARGIN="0" MARGINHEIGHT="0" MARGINWIDTH="0">
        <TABLE WIDTH="100%" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" border="0" style="background-image: url('images/hbg.gif'); background-repeat: repeat-x;">
        	<TR>
	        		
		   		<TD COLSPAN="3" class="header" valign="top" style="	background-image : url('images/header.jpg'); background-position: top right; background-repeat: no-repeat;">
		   		<!-- HEADER -->			
		   			<table cellpadding="0" cellspacing="0" style="margin: 49px 0px 0px 106px">
		   				<tr><td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" align="absmiddle" border="0" style="margin-right: 5px;"/></a></td><td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
		   				<tr><td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
		   			</table>
		   		<!-- END HEADER -->
		   		</TD>

        	</TR>
        	<TR>
        		<TD COLSPAN="3" valign="top" align="center" style="background-image: url('images/buttons-bg.gif'); background-repeat: repeat-x;">
        		<!-- MENU -->
        			<!--CALL TOP-MENU -->
        			<xsl:call-template name="TOP-MENU"/>
        		<!-- END MENU -->
        		</TD>
        	</TR>
        	<TR>
        		<TD valign="top" class="submenu-bg" style="background-image : url('images/submenu-bbg.gif'); background-position: bottom left; background-repeat: no-repeat;">
				<table cellpadding="0" cellspacing="0" border="0" width="147" height="297" style="background-image : url('images/submenu-tbg.gif'); background-repeat: no-repeat;"><tr><td valign="top">
        		<!-- SUBMENU -->
					<table cellpadding="0" cellspacing="0" border="0" width="125" height="408" align="center">
					<tr><td colspan="2" height="20"></td></tr>
       				<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
					<tr><td colspan="2" height="100%"></td></tr>
					</table>
        		<!-- END SUBMENU -->
				</td></tr></table>
        		</TD>
        		<TD valign="top" bgcolor="#959fa5" width="3"><img src="images/vline.gif"/></TD>
        		<TD valign="top" width="100%" class="content" height="100%" style="background-image: url('images/bg.jpg'); background-repeat: repeat-x;">
        		<!-- CONTENT -->

        			<table cellpadding="0" cellspacing="0">
        				<tr><td class="txtheader" style="background-image: url('images/txtheader_bg.jpg'); background-repeat: repeat-x;"><nobr><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></nobr></td><td><img src="images/txtheader_right.gif"/></td></tr>
        			</table>
        			<table cellpadding="0" cellspacing="0" border="0" width="100%">
	        			<tr><td width="100%"  class="pageContent" style="padding: 15px 30px 5px 20px;">

						<xsl:apply-templates select="PAGE-CONTENT"/>

						</td></tr>
					</table>


        		<!-- END CONTENT -->
        		</TD>
        	</TR>
        	<TR>
        		<TD COLSPAN="3" background="images/footer_bg.gif" height="44" align="center" style="padding: 18px;">
        		<!-- BOTTOM-MENU -->
     			<!--CALL BOTTOM-MENU -->
     			<xsl:call-template name="BOTTOM-MENU"/>
        		<!-- END BOTTOM-MENU -->
        		<!-- FOOTER -->
        		<br/><span class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></span>
        		<!-- END FOOTER -->
        		</TD>
        	</TR>
        </TABLE>
        </BODY>


		</html>

	</xsl:template>


	<!--TOP-MENU-->

	<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>			
	</xsl:template>

        
	

	<!--BOTTOM-MENU-->

	<xsl:template name="BOTTOM-MENU">
		<xsl:apply-templates select="MENU" mode="bottom"/>			
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
			<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>



	<xsl:template match="MENU-ITEM"  mode="bottom">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
        			<a href="{@HREF}" class="abtmmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
                </xsl:when>
                <!-- when active-->
                
                <xsl:otherwise>
        			<a href="{@HREF}" class="btmmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
                </xsl:otherwise>
            </xsl:choose>
			<xsl:if test="position()!=last()">
	   			<img src="images/bullet_btm.gif" align="absmiddle" style="margin-top: 5px;"/>
			</xsl:if>
	</xsl:template>




<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>		
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
				<tr>								
					<td style="padding-left: 22px"><img src="images/submenu_bullet.gif"/></td>
					<td height="24" width="100%" style="padding-left: 10px;"><span class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
				</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>								
					<td style="padding-left: 22px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
					<td height="24" width="100%" style="padding-left: 10px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
			<tr><td colspan="2" height="3"></td></tr>
			<tr><td colspan="2" height="1" style="background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;"></td></tr>
			<tr><td colspan="2" height="3"></td></tr>
	</xsl:if>
</xsl:template>	


	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
		</meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
